// chapitre 4 alloc dyn.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"

class Chaine
{
private:
	char*buffer;
	int t_buf;
	int longueur;
public:
	// un constructeur par défaut
	Chaine()
	{
		printf("Constructeur par défaut, Chaine()\n");
		t_buf=100;
		buffer=new char[t_buf];
		longueur=0;
	}	
	
	Chaine (int t_buf)
	{
		printf("Constructeur Chaîne(%d)\n",t_buf);
		this->t_buf=t_buf;	// erreur
		buffer=new char[t_buf];
		longueur=0;
	}
} ;

int main(int argc, char* argv[])
{
	Chaine**chaines;
	chaines=new Chaine*[10];
	for(int i=0; i<10; i++)
		chaines[i]=new Chaine(75);
	return 0;
}

